---
title: llarp::linux::DBUS

---

# llarp::linux::DBUS





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[DBUS](Classes/classllarp_1_1linux_1_1DBUS.md#function-dbus)**(std::string _interface, std::string _instance, std::string _call) |
| template <typename... T\> <br>void | **[operator()](Classes/classllarp_1_1linux_1_1DBUS.md#function-operator())**(std::string method, const char * arg_format, T... args) |

## Public Functions Documentation

### function DBUS

```cpp
DBUS(
    std::string _interface,
    std::string _instance,
    std::string _call
)
```


### function operator()

```cpp
template <typename... T>
inline void operator()(
    std::string method,
    const char * arg_format,
    T... args
)
```


-------------------------------

Updated on 2022-10-25 at 00:38:16 +0000